# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-zones.git
# git archive --format=tar --prefix=meego-panel-zones-%{version}/ %{git_version} | bzip2 > %{name}-%{version}.tar.bz2
%define git_version e5fadfe
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-zones
Version:       0.1.18
Release:       1%{?dist}
Summary:       Meego zones panel

Group:         User Interface/Desktops 
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}

BuildRequires: GConf2-devel
BuildRequires: clutter-gtk-devel
BuildRequires: mutter-moblin-devel
BuildRequires: libmx-devel
BuildRequires: libwnck-devel
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

%description
Zones panel for MeeGo for switching between running applications.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang moblin-panel-zones

%clean
rm -rf %{buildroot}

%files -f moblin-panel-zones.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_libexecdir}/moblin-panel-zones
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.zones.service
%{_datadir}/mutter-moblin/panels/moblin-panel-zones.desktop
%{_datadir}/moblin-panel-zones/

%changelog
* Fri Jul  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.18-1
- upstream 0.1.18 release, initial packaging
